Cambrionix connect
Developers
Hardware API

Ports

List Ports for a Hub

GET

/hardware/v1/hubs/{serialNumber}/ports

Get all Ports for a Hub.

Requires a bearer access token for this API with the Organization.Port.Read permission. See Authentication.

Parameters

serialNumberstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobject[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hubs/{serialNumber}/ports" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

List Ports

GET

/hardware/v1/ports

Get all Ports.

Requires a bearer access token for this API with the Organization.Port.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobject[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/ports" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"